## stress-ng 0.17.06

=== Makefile ===
#
# Copyright (C) 2013-2021 Canonical, Ltd.
# Copyright (C) 2021-2024 Colin Ian King
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

VERSION=0.17.06
#
# Codename "scintillating scheduler smasher"
#

KERNEL=$(shell uname -s)
NODENAME=$(shell uname -n)

override CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -std=gnu99

#
#  Building stress-vnni with less than -O2 causes breakage with
#  gcc-13.2, so remove then and ensure at least -O2 is used or
#  honour flags > -O2 if they are provided
#
VNNI_OFLAGS_REMOVE=-O0 -O1 -Og
VNNI_CFLAGS += $(filter-out $(VNNI_OFLAGS_REMOVE),$(CFLAGS))

#
# Default -O2 if optimization level not defined
#
ifeq "$(findstring -O,$(CFLAGS))" ""
	override CFLAGS += -O2
endif
ifeq "$(findstring -O,$(VNNI_CFLAGS))" ""
	override VNNI_CFLAGS += -O2
endif

#
# Debug flag
#
ifeq ($(DEBUG),1)
override CFLAGS += -g
endif

#
# Check if compiler supports flag set in $(flag)
#
cc_supports_flag = $(shell $(CC) -Werror $(flag) -E -xc /dev/null > /dev/null 2>&1 && echo $(flag))

#
# Pedantic flags
#
ifeq ($(PEDANTIC),1)

PEDANTIC_FLAGS := \
	-Wcast-qual -Wfloat-equal -Wmissing-declarations \
	-Wmissing-format-attribute -Wno-long-long -Wpacked \
	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
	-Wno-missing-braces -Wno-sign-compare -Wno-multichar \
	-DHAVE_PEDANTIC
override CFLAGS += $(foreach flag,$(PEDANTIC_FLAGS),$(cc_supports_flag))
endif

#
# Test for hardening flags and apply them if applicable
#
MACHINE = $(shell uname -m)
ifneq ($(PRESERVE_CFLAGS),1)
ifneq ($(MACHINE),$(filter $(MACHINE),alpha parisc ia64))
flag = -Wformat -fstack-protector-strong \
	-U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 \
	-Werror=format-security
override CFLAGS += $(cc_supports_flag)
endif
endif

#
# Optimization flags
#
ifeq ($(findstring icc,$(CC)),)
override CFLAGS += $(foreach flag,-fipa-pta,$(cc_supports_flag))
endif
#
# Enable Link Time Optimization
#
ifeq ($(LTO),1)
override CFLAGS += $(foreach flag,-flto=auto,$(cc_supports_flag))
endif

#
# Expected build warnings
#
ifeq ($(UNEXPECTED),1)
override CFLAGS += -DCHECK_UNEXPECTED
endif

#
# Disable any user defined PREFV setting
#
ifneq ($(PRE_V),)
override undefine PRE_V
endif
#
# Verbosity prefixes
#
ifeq ($(VERBOSE),)
PRE_V=@
PRE_Q=@
else
PRE_V=
PRE_Q=@#
endif

ifneq ($(PRESERVE_CFLAGS),1)
ifeq ($(findstring icc,$(CC)),icc)
override CFLAGS += -no-inline-max-size -no-inline-max-total-size
override CFLAGS += -axAVX,CORE-AVX2,CORE-AVX-I,CORE-AVX512,SSE2,SSE3,SSSE3,SSE4.1,SSE4.2,SANDYBRIDGE,SKYLAKE,SKYLAKE-AVX512,TIGERLAKE,SAPPHIRERAPIDS
override CFLAGS += -ip -falign-loops -funroll-loops -ansi-alias -fma -qoverride-limits
endif
endif

#ifeq ($(findstring clang,$(CC)),clang)
#override CFLAGS += -Weverything
#endif

GREP = grep
#
# SunOS requires special grep for -e support
#
ifeq ($(KERNEL),SunOS)
ifneq ($(NODENAME),dilos)
GREP = /usr/xpg4/bin/grep
endif
endif

#
# Static flags, only to be used when using GCC
#
ifeq ($(STATIC),1)
override LDFLAGS += -static -z muldefs
override CFLAGS += -DBUILD_STATIC
endif

BINDIR=/usr/bin
MANDIR=/usr/share/man/man1
JOBDIR=/usr/share/stress-ng/example-jobs
BASHDIR=/usr/share/bash-completion/completions


#
# Header files
#
HEADERS = \
	core-arch.h \
	core-affinity.h \
	core-asm-arm.h \
	core-asm-generic.h \
	core-asm-loong64.h \
	core-asm-ppc64.h \
	core-asm-riscv.h \
	core-asm-s390.h \
	core-asm-sparc.h \
	core-asm-x86.h \
	core-asm-ret.h \
	core-attribute.h \
	core-bitops.h \
	core-builtin.h \
	core-capabilities.h \
	core-clocksource.h \
	core-config-check.h \
	core-cpu.h \
	core-cpu-cache.h \
	core-cpuidle.h \
	core-ftrace.h \
	core-hash.h \
	core-ignite-cpu.h \
	core-interrupts.h \
	core-io-priority.h \
	core-job.h \
	core-helper.h \
	core-killpid.h \
	core-klog.h \
	core-limit.h \
	core-lock.h \
	core-log.h \
	core-madvise.h \
	core-mlock.h \
	core-mmap.h \
	core-mincore.h \
	core-module.h \
	core-mounts.h \
	core-mwc.h \
	core-nt-load.h \
	core-nt-store.h \
	core-net.h \
	core-numa.h \
	core-opts.h \
	core-out-of-memory.h \
	core-parse-opts.h \
	core-perf.h \
	core-pragma.h \
	core-processes.h \
	core-pthread.h \
	core-put.h \
	core-resources.h \
	core-sched.h \
	core-setting.h \
	core-shared-heap.h \
	core-shim.h \
	core-smart.h \
	core-sort.h \
	core-stressors.h \
	core-syslog.h \
	core-target-clones.h \
	core-thermal-zone.h \
	core-thrash.h \
	core-time.h \
	core-try-open.h \
	core-vecmath.h \
	core-version.h \
	core-vmstat.h \
	stress-af-alg-defconfigs.h \
	stress-eigen-ops.h \
	stress-ng.h

#
#  Build time generated header files
#
HEADERS_GEN = \
	config.h \
	git-commit-id.h \
	io-uring.h \
	personality.h

#
#  Stressors
#
STRESS_SRC = \
	stress-access.c \
	stress-acl.c \
	stress-affinity.c \
	stress-af-alg.c \
	stress-aio.c \
	stress-aiol.c \
	stress-alarm.c \
	stress-apparmor.c \
	stress-atomic.c \
	stress-bad-altstack.c \
	stress-bad-ioctl.c \
	stress-bigheap.c \
	stress-bind-mount.c \
	stress-binderfs.c \
	stress-bitonicsort.c \
	stress-branch.c \
	stress-brk.c \
	stress-bsearch.c \
	stress-cache.c \
	stress-cacheline.c \
	stress-cap.c \
	stress-cgroup.c \
	stress-chattr.c \
	stress-chdir.c \
	stress-chmod.c \
	stress-chown.c \
	stress-chroot.c \
	stress-clock.c \
	stress-clone.c \
	stress-close.c \
	stress-context.c \
	stress-copy-file.c \
	stress-cpu.c \
	stress-cpu-online.c \
	stress-crypt.c \
	stress-cyclic.c \
	stress-daemon.c \
	stress-dccp.c \
	stress-dekker.c \
	stress-dentry.c \
	stress-dev.c \
	stress-dev-shm.c \
	stress-dir.c \
	stress-dirdeep.c \
	stress-dirmany.c \
	stress-dnotify.c \
	stress-dup.c \
	stress-dynlib.c \
	stress-eigen.c \
	stress-efivar.c \
	stress-enosys.c \
	stress-env.c \
	stress-epoll.c \
	stress-eventfd.c \
	stress-exec.c \
	stress-exit-group.c \
	stress-factor.c \
	stress-fallocate.c \
	stress-fanotify.c \
	stress-far-branch.c \
	stress-fault.c \
	stress-fcntl.c \
	stress-fd-fork.c \
	stress-file-ioctl.c \
	stress-fiemap.c \
	stress-fifo.c \
	stress-filename.c \
	stress-flock.c \
	stress-flushcache.c \
	stress-fma.c \
	stress-fork.c \
	stress-forkheavy.c \
	stress-fp.c \
	stress-fp-error.c \
	stress-fpunch.c \
	stress-fsize.c \
	stress-fstat.c \
	stress-full.c \
	stress-funccall.c \
	stress-funcret.c \
	stress-futex.c \
	stress-get.c \
	stress-getrandom.c \
	stress-getdent.c \
	stress-goto.c \
	stress-gpu.c \
	stress-handle.c \
	stress-hash.c \
	stress-hdd.c \
	stress-heapsort.c \
	stress-hrtimers.c \
	stress-hsearch.c \
	stress-icache.c \
	stress-icmp-flood.c \
	stress-idle-page.c \
	stress-inode-flags.c \
	stress-inotify.c \
	stress-io.c \
	stress-iomix.c \
	stress-ioport.c \
	stress-ioprio.c \
	stress-io-uring.c \
	stress-ipsec-mb.c \
	stress-itimer.c \
	stress-jpeg.c \
	stress-judy.c \
	stress-kcmp.c \
	stress-key.c \
	stress-kill.c \
	stress-klog.c \
	stress-kvm.c \
	stress-l1cache.c \
	stress-landlock.c \
	stress-lease.c \
	stress-led.c \
	stress-link.c \
	stress-list.c \
	stress-llc-affinity.c \
	stress-loadavg.c \
	stress-lockbus.c \
	stress-locka.c \
	stress-lockf.c \
	stress-lockofd.c \
	stress-longjmp.c \
	stress-loop.c \
	stress-lsearch.c \
	stress-madvise.c \
	stress-malloc.c \
	stress-matrix.c \
	stress-matrix-3d.c \
	stress-mcontend.c \
	stress-membarrier.c \
	stress-memcpy.c \
	stress-memfd.c \
	stress-memhotplug.c \
	stress-memrate.c \
	stress-memthrash.c \
	stress-mergesort.c \
	stress-metamix.c \
	stress-mincore.c \
	stress-misaligned.c \
	stress-mknod.c \
	stress-mlock.c \
	stress-mlockmany.c \
	stress-mmap.c \
	stress-mmapaddr.c \
	stress-mmapfiles.c \
	stress-mmapfixed.c \
	stress-mmapfork.c \
	stress-mmaphuge.c \
	stress-mmapmany.c \
	stress-module.c \
	stress-monte-carlo.c \
	stress-mprotect.c \
	stress-mpfr.c \
	stress-mq.c \
	stress-mremap.c \
	stress-msg.c \
	stress-msync.c \
	stress-msyncmany.c \
	stress-munmap.c \
	stress-mutex.c \
	stress-nanosleep.c \
	stress-netdev.c \
	stress-netlink-proc.c \
	stress-netlink-task.c \
	stress-nice.c \
	stress-nop.c \
	stress-null.c \
	stress-numa.c \
	stress-oom-pipe.c \
	stress-opcode.c \
	stress-open.c \
	stress-pagemove.c \
	stress-pageswap.c \
	stress-pci.c \
	stress-personality.c \
	stress-peterson.c \
	stress-physpage.c \
	stress-pidfd.c \
	stress-ping-sock.c \
	stress-pipe.c \
	stress-pipeherd.c \
	stress-pkey.c \
	stress-plugin.c \
	stress-poll.c \
	stress-prctl.c \
	stress-prefetch.c \
	stress-prio-inv.c \
	stress-priv-instr.c \
	stress-procfs.c \
	stress-pthread.c \
	stress-ptrace.c \
	stress-pty.c \
	stress-quota.c \
	stress-qsort.c \
	stress-race-sched.c \
	stress-radixsort.c \
	stress-randlist.c \
	stress-ramfs.c \
	stress-rawdev.c \
	stress-rawpkt.c \
	stress-rawsock.c \
	stress-rawudp.c \
	stress-rdrand.c \
	stress-readahead.c \
	stress-reboot.c \
	stress-regs.c \
	stress-remap.c \
	stress-rename.c \
	stress-resched.c \
	stress-resources.c \
	stress-revio.c \
	stress-ring-pipe.c \
	stress-rlimit.c \
	stress-rmap.c \
	stress-rotate.c \
	stress-rseq.c \
	stress-rtc.c \
	stress-sctp.c \
	stress-schedmix.c \
	stress-schedpolicy.c \
	stress-seal.c \
	stress-seccomp.c \
	stress-secretmem.c \
	stress-seek.c \
	stress-sem.c \
	stress-sem-sysv.c \
	stress-sendfile.c \
	stress-session.c \
	stress-set.c \
	stress-shellsort.c \
	stress-shm.c \
	stress-shm-sysv.c \
	stress-sigabrt.c \
	stress-sigbus.c \
	stress-sigchld.c \
	stress-sigfd.c \
	stress-sigfpe.c \
	stress-sigio.c \
	stress-signal.c \
	stress-signest.c \
	stress-sigpending.c \
	stress-sigpipe.c \
	stress-sigq.c \
	stress-sigrt.c \
	stress-sigsegv.c \
	stress-sigsuspend.c \
	stress-sigtrap.c \
	stress-sigxcpu.c \
	stress-sigxfsz.c \
	stress-skiplist.c \
	stress-sleep.c \
	stress-smi.c \
	stress-sock.c \
	stress-sockabuse.c \
	stress-sockdiag.c \
	stress-sockfd.c \
	stress-sockpair.c \
	stress-sockmany.c \
	stress-softlockup.c \
	stress-spawn.c \
	stress-sparsematrix.c \
	stress-splice.c \
	stress-stack.c \
	stress-stackmmap.c \
	stress-str.c \
	stress-stream.c \
	stress-swap.c \
	stress-switch.c \
	stress-sync-file.c \
	stress-syncload.c \
	stress-sysbadaddr.c \
	stress-syscall.c \
	stress-sysinfo.c \
	stress-sysinval.c \
	stress-sysfs.c \
	stress-tee.c \
	stress-timer.c \
	stress-timerfd.c \
	stress-time-warp.c \
	stress-tlb-shootdown.c \
	stress-tmpfs.c \
	stress-touch.c \
	stress-tree.c \
	stress-trig.c \
	stress-tsc.c \
	stress-tsearch.c \
	stress-tun.c \
	stress-udp.c \
	stress-udp-flood.c \
	stress-umount.c \
	stress-unshare.c \
	stress-uprobe.c \
	stress-urandom.c \
	stress-userfaultfd.c \
	stress-usersyscall.c \
	stress-utime.c \
	stress-vdso.c \
	stress-vecfp.c \
	stress-vecmath.c \
	stress-vecshuf.c \
	stress-vecwide.c \
	stress-verity.c \
	stress-vforkmany.c \
	stress-vm.c \
	stress-vm-addr.c \
	stress-vm-rw.c \
	stress-vm-segv.c \
	stress-vm-splice.c \
	stress-vma.c \
	stress-vnni.c \
	stress-wait.c \
	stress-waitcpu.c \
	stress-watchdog.c \
	stress-wcs.c \
	stress-workload.c \
	stress-x86cpuid.c \
	stress-x86syscall.c \
	stress-xattr.c \
	stress-yield.c \
	stress-zero.c \
	stress-zlib.c \
	stress-zombie.c \


#
#  Build time core source files
#
CORE_SRC_GEN = \
	core-config.c

#
# Stress core
#
CORE_SRC = \
	core-affinity.c \
	core-asm-ret.c \
	core-cpu.c \
	core-cpu-cache.c \
	core-cpuidle.c \
	core-clocksource.c \
	core-config-check.c \
	core-hash.c \
	core-helper.c \
	core-ignite-cpu.c \
	core-interrupts.c \
	core-io-uring.c \
	core-io-priority.c \
	core-job.c \
	core-killpid.c \
	core-klog.c \
	core-limit.c \
	core-lock.c \
	core-log.c \

=== debian/changelog ===
stress-ng (0.17.06-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:04:11 +1100

stress-ng (0.17.06-1) unstable; urgency=medium

  [Hsieh-Tseng Shen]
  * Manual: fix a few typos

  [Colin Ian King]
  * Makefile: bump version
  * stress-fd-fork: fix comment for STRESS_FD_DEFAULT
  * stress-fd-fork: fix spelling mistake "discriptors" -> "descriptors"
  * test/test-utime: zero buf
  * test/test/test-pthread-setaffinity-np: zero cpuset
  * stress-fork: voidify pid
  * Makefile.config: ensure all CONFIG_LDFLAGS are passed through
    LIB_ORDER filter
  * stress-sigsegv: ignore SEGV_ACCERR error check on OpenBSD
  * stress-hsearch: typedef ACTION if we don't have native hsearch support
  * Makefile.config: workaround a make issue on Nixos, add empty echo in
    loop
  * stress-aiol: fix interrupted or end of stressing aiol waits with -1
    return
  * stress-peterson: add mfence to fix failures on out-of-order ARM cpus
  * stress-pci: report untested PCI rates as "unknown" rather than 0.00
  * stress-ng.h: only define _FILE_OFFSET_BITS if it is not defined
  * stress-signest: add some more signals, sort them in name order
  * Makefile: add --cache-enable-all for slow-test-all and verify-test-all
  * stress-chroot: fix placement of colon in chroot escape message
  * stress-ng: add a few more percent wiggle room on end of run estimate
  * stress-stream: improve memrate message
  * stress-mq: add note to increase /proc/sys/fs/mqueue/queues_max for
    linux
  * stress-kvm: report KVM kernel API as a debug message
  * stress-dev: add notes about running as root to exercise more devices
  * Makefile: add --progress and remove --verbose from verify-test-all
    and slow-test-all
  * stress-mlock: remove extranous space in debug message
  * stress-fd-fork: report approx number of fds
  * stress-fd-fork: report how many fds were closed
  * core-shim: add warning disabling pragma on extern stime declaration
  * stress-fork: handle 32/64 bit address for 32 bit systems
  * stress-enosys: don't exercise > 32 bits for 32 bit systems
  * stress-exec: only use MAP_STACK if it is defined
  * stress-memfd: remove duplicated declaration of fd
  * stress-cpu-online: remove duplicated declaration of variable cpu
  * stress-monte-carlo: declare stress_mc_supported for HAVE_ARC4RANDOM
  * stress-fork: voidify unused arg fork_unmap for non-linux builds
  * stress-cache: voidify cache related flags and mask
  * stress-dev: swap calloc arguments to the correct way around
  * core-target-clones: add Arrowlake and Pantherlake CPU support
  * Dockerfile: remove kmod and xxhash
  * Dockerfile: add mpfr and judy from community repos
  * stress-sigsegv: methodically exercise reads from all VM address range
  * core-perf: add swiotlb perf event and bump event count up as we are
    running low
  * core-perf: add IRQ tasklet entry/exit metrics
  * core-perf: add IPI Raise event
  * stress-resources: only declare ppid if HAVE_PIDFD_OPEN is defined
  * stress-cpu-online: ensure cpu is initialized
  * core-klog: ignore cpu affinity warnings, these are benign
  * stress-cpu-online: round-robin CPUs for instances 1 and 2
  * stress-cpu-online: always try a different cpu and don't try an
    already offlined cpu
  * stress-ng: Fix net_port_map lock failure
  * stress-cpu: don't check for onlining failure for more than 1 instance
  * stress-bitonic: rename bionicsort_count to bitonic_count
  * stress-shellsort: remove redundant 8 bit sort
  * stress-bitonicsort: Add another sorting stressor
  * stress-cpu-online: run a child process that tries to pin itself to
    offlined CPU
  * core-resouces: open another fd, based on the stdout of parent pid
  * stress-memfd: don't populate memfd mapped pages
  * stress-memfd: exercise each flag per iteration
  * stress-memfd: change memfd_fds to a int32_t
  * stress-memfd: create some filenames just one
  * stress-memfd: use close_range on fds, fall back to loop'd fd close
  * stress-enosys: add 24, 40, 48, 56 bit syscalls
  * stress-malloc: add some SEGV action information
  * stress-fd-fork: add --fd-fork-file option to specify file to dup
  * stress-fd-fork: add metrics on time to open all fds and open 10000
    files per loop
  * stress-fd-fork: add --fd-fork-fds option to specify number of files
    to open
  * Manual: add note about fd-fork bogo-op rate dropping over time
  * Manual: recommend using the maxtrix-3d stressor for cache misses
  * stress-ng: avoid potential division by zero by total_run
  * stress-fd-fork: add a file descriptor copying via fork stressor
  * Manual: Fix typo "maybe" -> "may be"
  * stress-crypt: add --crypt-method to allow encryption method to be
    selected
  * Manual: update crypt stressor with list of all crypt methods used
  * stress-memfd: fix #endif, removed the wrong one
  * stress-memfd: remove debug #ifdef's
  * stress-memfd: make random madvise calls an optional opt-in with
    --memfd-madvise
  * stress-memfd: add in opt-in zap pte test option --memfd-zap-pte
  * stress-memfd: include <linux/memfd.h> for MEMFD huge page flags
  * TODO: add IP_LOCAL_PORT_RANGE
  * stress-ng: add estimated completion time for --progress option
  * stress-ng: add a --progress option to show --sequential run progress
  * stress-fork: disable --fork-unmap if --fork-vm is also enabled
  * stress-fork: remove stress_set_proc_state so libbsd can be removed
  * stress-fork: don't remove readable pages that may be used in dlsym
    searches
  * stress-syscall: only define SHADOW_STACK_SET_TOKEN if it's not defined
  * stress-fork: add --fork-unmap option to force unmapping of shared libs
  * Makefile.config: specify library link ordering
  * stress-clone: force lazy bind libc functions to be bound before clone
    is run
  * stress-stream: fix collapse stream-madvise option to use MADV_COLLAPSE
  * stress-fpunch: add --fpunch-bytes option to specify fpunch file size


=== debian/control ===
Source: stress-ng
Rules-Requires-Root: no
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Colin Ian King <colin.i.king@gmail.com>
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 13),
               debhelper-compat (=13),
               libacl1-dev,
               zlib1g-dev,
               libbsd-dev,
               libeigen3-dev,
               libgcrypt20-dev,
               libjpeg-dev,
               libmpfr-dev,
               libgmp-dev,
               libkeyutils-dev [linux-any],
               libapparmor-dev [linux-any],
               apparmor [linux-any],
               libaio-dev [linux-any],
               libcap-dev [linux-any],
               libsctp-dev [linux-any],
               libipsec-mb-dev [amd64],
               libjudy-dev,
               libatomic1 [linux-any],
               libkmod-dev [linux-any],
               libxxhash-dev,
               libglvnd-dev,
               libgbm-dev [linux-any]
Homepage: https://github.com/ColinIanKing/stress-ng

Package: stress-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to load and stress a computer
 stress-ng can stress various subsystems of a computer.  It can stress load
 CPU, cache, disk, memory, socket and pipe I/O, scheduling and much more.
 stress-ng is a re-write of the original stress tool by Amos Waterland but
 has many additional features such as specifying the number of bogo operations
 to run, execution metrics, a stress verification on memory and compute
 operations and considerably more stress mechanisms.

## stress-ng 0.18.03

=== debian/changelog ===
stress-ng (0.18.03-1) unstable; urgency=medium

  [Aboorva Devarajan]
  * core-target-clone: fix power9 target build issue

  [Colin Ian King]
  * Makefile: bump version
  * stress-ng: add vector class to --class option
  * stress-dekker: fix failures for out-of-order processors
  * stress-ng: fix -x option for options with - in the name
  * stress-syscall: rename sigset to sigmask to avoid gcc-4.4 variable
    shadowing warning
  * stress-syscall: rename clock to clock_id to avoid gcc-4.4 variable
    shadowing warning
  * stress-shm-sysv: rename syscall to syscall_name to avoid gcc-4.4
    variable shadowing warning
  * stress-jpeg: rename func param time to whence to clean up gcc-4.4
    name shadowing warning
  * stress-fd-race: rename dirfd to dir_fd to avoid gcc-4.4 variable
    shadowing warning
  * stress-enosys: rename func param random to do_random to avoid name
    shadowing gcc 4.4 warning
  * core-shim: rename dirfd to dir_fd to avoid gcc-4.4 variable shadowing
    warning
  * README.md: move kernel issue to correct place in README file
  * README.md: add another kernel issue to bug list for 2024
  * stress-module: only increment bogo counter on successful module load
  * stress-module: check for .ko module name ending
  * stress-module: update module search failure message for compressed kos
  * stress-module: ignore compressed .xz modules
  * stress-module: try several test modules rather than just test_module
  * core-shim: return ret instread of errno in shim_posix_fallocate
  * stress-zlib: reduce checksum to 32 bits for faster compute
  * core-shim: remove unused variable ret
  * core-shim: make shim_posix_fallocate return error code on failure
  * core-shim: check ret rather than errno on posix_fallocate failure
  * core-shim: cater for EOPNOTSUPP in posix_fallocate failure
  * stress-lsm: move ctx and ctx_end to inner loop scope
  * stress-sigurg: clear bogo-op counter flag if child is killed during
    bogo inc
  * README.md: Add another research paper link
  * Manual: fix spelling mistake "subraction" -> "subtraction"
  * test/test-libgbm.c: replace whitespace with tabs
  * stress-dirdeep: remove debug printf statement
  * stress-personality: check for no personalities using supported
    callback
  * stress-efivar: remove need for packed attribute
  * stress-get: exercise getlogin at end of stressor loop
  * stress-uprobe: report why uprobe cannot be run with static builds
  * stress-get: remove redundant #ifdef
  * stress-bind-mount: check for multiple stat failures on bind mounted
    directory
  * stress-efivar: fix access checks and check on attribute
  * stress-efivar: specify efi var fields in terms of uint8_t types
  * README.md: add another kernel bug found with stress-ng
  * stress-inotify: remove const from helper void arg
  * core-cpuidle: ensure there is plenty of space for filename snprintf
    formatting
  * core-shim: only call stime for glibc < 2.31
  * stress-lsearch: clean up some more pointer constification warnings
  * stress-lsearch: clean up some constification warnings
  * stress-fibsearch: remove re-declaration of pointer ptr
  * stress-bsearch: clean up some constification warnings
  * stress-binderfs: stress_binderfs_supported: return -1 for non-linux
    builds
  * stress-zlib: correct comment for function stress_rand_data_inc16
  * stress-mergesort: minor optimization re-ordering tweaks
  * stress-heapsort: use copy and swap helper for different data sizes
  * stress-sigq: add sigq to IPC class of stressors
  * stress-*: add ipc (inter process communication) class
  * stress-misaligned: use CLOCK_PROCESS_CPUTIME_ID for timer
  * core-time: stress_duration_to_str: add flag report_secs to always
    report secs
  * stess-cgroup: add mount EBUSY retry. Also add mount/umount retry debug
  * core-config-check: fix memory load on string lowstr
  * stress-lockmix: add a mixed file locking stressor
  * core-config-check: warn if the run environment is not suitable for
    stress-ng
  * Manual: Fix grammar on --log-lockless description
  * *.c: remove trailing tabs and white space from ends of lines
  * stress-lsearch: use simpler check to speed up comparisons
  * stress-fibsearch: make array indexes ssize_t for potential -ve ranges
  * stress-bsearch: rename bsearch-ternary to ternary in method option
  * stress-bsearch: add a 3-way ternary search method
  * stress-lsearch: add a key sentinel search method
  * Makefile: add fibsearch (Fibonacci search) stessor
  * stress-hash, stress-tree: add stressors to search class
  * stress-bubblesort: rename bubblesort method to bubblesort-fast
  * stress-sort*: add sort class
  * stress-bubblesort: add bubblesort stressor
  * core-cpuidle: name busy state C0 for x86 and BUSY for other arches
  * README.md: add C-state residency example
  * stress-vm: stress_vm_mod: replace while loop with two if statements
  * core-cpuidle: add C-state measurements with --c-state option
  * kernel-coverage: add umount sanity check on umount failures
  * stress-*: add integer and fp classes
  * stress-vec*: remove CLASS_CPU_CACHE flag
  * stress-fd-race: add helper to close fds in different orders
  * stress-close: exercise flag field with close_range call
  * stress-inotify: remove empty line
  * stress-oom-pipe: fix valid fd check before closing the fd
  * stress-tee: ensure fd is closed on error exit path
  * stress-poll: use correct array index variable for closing fds
  * stress-link: exercise pathconf on oldpath instead of testpath
  * stress-session: close pipe fds on error exit path
  * stress-shm: close pipe fds on error exit path
  * stress-vm-segv: close pipe fds on error exit paths
  * stress-key: replace vararg system call with 5 arg system call
  * stress-fd-race: fix error return paths not cleaning up allocated
    resources
  * stress-close: clean up some file descriptor handling
  * stress-tee: fix error handling closes on pipe file descriptors
  * stress-x86syscall: initialize time1, time2 to zero


## stress-ng 0.18.04

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,36 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.17.06
-#
-# Codename "scintillating scheduler smasher"
-#
+#
+# Codename "canny kernel crusher"
+#
+VERSION=0.18.04
+
+#
+# Determine supported toolchains
+#
+COMPILER = cc
+ifneq ($(shell $(CC) -v 2>&1 | grep version | grep gcc),)
+COMPILER = gcc
+endif
+ifneq ($(shell $(CC) -v 2>&1 | grep version | grep icc),)
+COMPILER = icc
+endif
+ifneq ($(shell $(CC) -v 2>&1 | grep "Portable C Compiler"),)
+COMPILER = pcc
+endif
+ifneq ($(shell $(CC) -v 2>&1 | grep "tcc"),)
+COMPILER = tcc
+endif
+ifneq ($(shell $(CC) -v 2>&1 | grep version | grep clang),)
+COMPILER = clang
+endif
+ifneq ($(shell $(CC) -v 2>&1 | grep oneAPI | grep Compiler),)
+COMPILER = icx
+endif
+ifneq ($(shell $(CC) -v 2>&1 | grep scan-build),)
+COMPILER = scan-build
+endif
 
 KERNEL=$(shell uname -s)
 NODENAME=$(shell uname -n)
@@ -32,7 +58,7 @@
 #  gcc-13.2, so remove then and ensure at least -O2 is used or
 #  honour flags > -O2 if they are provided
 #
-VNNI_OFLAGS_REMOVE=-O0 -O1 -Og
+VNNI_OFLAGS_REMOVE=-O0 -O1 -Os -Oz -Og
 VNNI_CFLAGS += $(filter-out $(VNNI_OFLAGS_REMOVE),$(CFLAGS))
 
 #
@@ -74,7 +100,7 @@
 #
 # Test for hardening flags and apply them if applicable
 #
-MACHINE = $(shell uname -m)
+MACHINE = $(shell make -f Makefile.machine)
 ifneq ($(PRESERVE_CFLAGS),1)
 ifneq ($(MACHINE),$(filter $(MACHINE),alpha parisc ia64))
 flag = -Wformat -fstack-protector-strong \
@@ -87,9 +113,13 @@
 #
 # Optimization flags
 #
-ifeq ($(findstring icc,$(CC)),)
-override CFLAGS += $(foreach flag,-fipa-pta,$(cc_supports_flag))
-endif
+ifneq ($(filter-out clang icc scan-build,$(COMPILER)),)
+override CFLAGS += $(foreach flag,-fipa-pta -fivopts,$(cc_supports_flag))
+ifneq ($(MACHINE),$(filter $(MACHINE),ibms390))
+override CFLAGS += $(foreach flag,-fmodulo-sched,$(cc_supports_flag))
+endif
+endif
+
 #
 # Enable Link Time Optimization
 #
@@ -97,11 +127,31 @@
 override CFLAGS += $(foreach flag,-flto=auto,$(cc_supports_flag))
 endif
 
+ifeq ($(GARBAGE_COLLECT),1)
+#
+# Sections flags
+#
+SECTIONS_FLAGS := -ffunction-sections -fdata-sections -Wl,--gc-sections
+override CFLAGS += $(foreach flag,$(SECTIONS_FLAGS),$(cc_supports_flag))
+
+ifneq ($(VERBOSE),)
+GC_SECTIONS_FLAGS := -Wl,--print-gc-sections
+override CFLAGS += $(foreach flag,$(GC_SECTIONS_FLAGS),$(cc_supports_flag))
+endif
+endif
+
 #
 # Expected build warnings
 #
 ifeq ($(UNEXPECTED),1)
 override CFLAGS += -DCHECK_UNEXPECTED
+endif
+
+#
+# Building with Coverity?
+#
+ifeq ($(COVERITY),1)
+override CFLAGS += -DCOVERITY
 endif
 
 #
@@ -122,14 +172,14 @@
 endif
 
 ifneq ($(PRESERVE_CFLAGS),1)
-ifeq ($(findstring icc,$(CC)),icc)
+ifeq ($(findstring icc,$(COMPILER)),icc)
 override CFLAGS += -no-inline-max-size -no-inline-max-total-size
 override CFLAGS += -axAVX,CORE-AVX2,CORE-AVX-I,CORE-AVX512,SSE2,SSE3,SSSE3,SSE4.1,SSE4.2,SANDYBRIDGE,SKYLAKE,SKYLAKE-AVX512,TIGERLAKE,SAPPHIRERAPIDS
 override CFLAGS += -ip -falign-loops -funroll-loops -ansi-alias -fma -qoverride-limits
 endif
 endif
 
-#ifeq ($(findstring clang,$(CC)),clang)
+#ifeq ($(findstring clang,$(COMPILER)),clang)
 #override CFLAGS += -Weverything
 #endif
 
@@ -155,7 +205,6 @@
 MANDIR=/usr/share/man/man1
 JOBDIR=/usr/share/stress-ng/example-jobs
 BASHDIR=/usr/share/bash-completion/completions
-
 
 #
 # Header files
@@ -212,6 +261,7 @@
 	core-processes.h \
 	core-pthread.h \
 	core-put.h \
+	core-rapl.h \
 	core-resources.h \
 	core-sched.h \
 	core-setting.h \
@@ -257,13 +307,16 @@
 	stress-atomic.c \
 	stress-bad-altstack.c \
 	stress-bad-ioctl.c \
+	stress-besselmath.c \
 	stress-bigheap.c \
 	stress-bind-mount.c \
 	stress-binderfs.c \
 	stress-bitonicsort.c \
+	stress-bitops.c \
 	stress-branch.c \
 	stress-brk.c \
 	stress-bsearch.c \
+	stress-bubblesort.c \
 	stress-cache.c \
 	stress-cacheline.c \
 	stress-cap.c \
@@ -302,6 +355,7 @@
 	stress-eventfd.c \
 	stress-exec.c \
 	stress-exit-group.c \
+	stress-expmath.c \
 	stress-factor.c \
 	stress-fallocate.c \
 	stress-fanotify.c \
@@ -309,9 +363,11 @@
 	stress-fault.c \
 	stress-fcntl.c \
 	stress-fd-fork.c \
-	stress-file-ioctl.c \
+	stress-fd-race.c \
+	stress-fibsearch.c \
 	stress-fiemap.c \
 	stress-fifo.c \
+	stress-file-ioctl.c \
 	stress-filename.c \
 	stress-flock.c \
 	stress-flushcache.c \
@@ -321,6 +377,7 @@
 	stress-fp.c \
 	stress-fp-error.c \
 	stress-fpunch.c \
+	stress-fractal.c \
 	stress-fsize.c \
 	stress-fstat.c \
 	stress-full.c \
@@ -343,6 +400,8 @@
 	stress-idle-page.c \
 	stress-inode-flags.c \
 	stress-inotify.c \
+	stress-insertionsort.c \
+	stress-intmath.c \
 	stress-io.c \
 	stress-iomix.c \
 	stress-ioport.c \
@@ -368,10 +427,13 @@
 	stress-lockbus.c \
 	stress-locka.c \
 	stress-lockf.c \
+	stress-lockmix.c \
 	stress-lockofd.c \
+	stress-logmath.c \
 	stress-longjmp.c \
 	stress-loop.c \
 	stress-lsearch.c \
+	stress-lsm.c \
 	stress-madvise.c \
 	stress-malloc.c \
 	stress-matrix.c \
@@ -386,6 +448,7 @@
 	stress-mergesort.c \
 	stress-metamix.c \
 	stress-mincore.c \
+	stress-min-nanosleep.c \
 	stress-misaligned.c \
 	stress-mknod.c \
 	stress-mlock.c \
@@ -403,9 +466,11 @@
 	stress-mpfr.c \
 	stress-mq.c \
 	stress-mremap.c \
+	stress-mseal.c \
 	stress-msg.c \
 	stress-msync.c \
 	stress-msyncmany.c \
+	stress-mtx.c \
 	stress-munmap.c \
 	stress-mutex.c \
 	stress-nanosleep.c \
@@ -432,8 +497,10 @@
 	stress-pkey.c \
 	stress-plugin.c \
 	stress-poll.c \
+	stress-powmath.c \
 	stress-prctl.c \
 	stress-prefetch.c \
+	stress-prime.c \
 	stress-prio-inv.c \
 	stress-priv-instr.c \
 	stress-procfs.c \
@@ -485,6 +552,7 @@
 	stress-sigchld.c \
 	stress-sigfd.c \
 	stress-sigfpe.c \
+	stress-sigill.c \
 	stress-sigio.c \
 	stress-signal.c \
 	stress-signest.c \
@@ -495,6 +563,8 @@
 	stress-sigsegv.c \
 	stress-sigsuspend.c \
 	stress-sigtrap.c \
+	stress-sigurg.c \
+	stress-sigvtalrm.c \
 	stress-sigxcpu.c \
 	stress-sigxfsz.c \
 	stress-skiplist.c \
@@ -508,96 +578,3 @@
 	stress-sockmany.c \
 	stress-softlockup.c \
 	stress-spawn.c \
-	stress-sparsematrix.c \
-	stress-splice.c \
-	stress-stack.c \
-	stress-stackmmap.c \
-	stress-str.c \
-	stress-stream.c \
-	stress-swap.c \
-	stress-switch.c \
-	stress-sync-file.c \
-	stress-syncload.c \
-	stress-sysbadaddr.c \
-	stress-syscall.c \
-	stress-sysinfo.c \
-	stress-sysinval.c \
-	stress-sysfs.c \
-	stress-tee.c \
-	stress-timer.c \
-	stress-timerfd.c \
-	stress-time-warp.c \
-	stress-tlb-shootdown.c \
-	stress-tmpfs.c \
-	stress-touch.c \
-	stress-tree.c \
-	stress-trig.c \
-	stress-tsc.c \
-	stress-tsearch.c \
-	stress-tun.c \
-	stress-udp.c \
-	stress-udp-flood.c \
-	stress-umount.c \
-	stress-unshare.c \
-	stress-uprobe.c \
-	stress-urandom.c \
-	stress-userfaultfd.c \
-	stress-usersyscall.c \
-	stress-utime.c \
-	stress-vdso.c \
-	stress-vecfp.c \
-	stress-vecmath.c \
-	stress-vecshuf.c \
-	stress-vecwide.c \
-	stress-verity.c \
-	stress-vforkmany.c \
-	stress-vm.c \
-	stress-vm-addr.c \
-	stress-vm-rw.c \
-	stress-vm-segv.c \
-	stress-vm-splice.c \
-	stress-vma.c \
-	stress-vnni.c \
-	stress-wait.c \
-	stress-waitcpu.c \
-	stress-watchdog.c \
-	stress-wcs.c \
-	stress-workload.c \
-	stress-x86cpuid.c \
-	stress-x86syscall.c \
-	stress-xattr.c \
-	stress-yield.c \
-	stress-zero.c \
-	stress-zlib.c \
-	stress-zombie.c \
-
-
-#
-#  Build time core source files
-#
-CORE_SRC_GEN = \
-	core-config.c
-
-#
-# Stress core
-#
-CORE_SRC = \
-	core-affinity.c \
-	core-asm-ret.c \
-	core-cpu.c \
-	core-cpu-cache.c \
-	core-cpuidle.c \
-	core-clocksource.c \
-	core-config-check.c \
-	core-hash.c \
-	core-helper.c \
-	core-ignite-cpu.c \
-	core-interrupts.c \
-	core-io-uring.c \
-	core-io-priority.c \
-	core-job.c \
-	core-killpid.c \
-	core-klog.c \
-	core-limit.c \
-	core-lock.c \
-	core-log.c \

=== debian/changelog ===
stress-ng (0.18.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Makfile: add Makefile.machine to make dist rule
  * stress-dev: clean up build warning on non-x86 builds
  * stress-numa: rename ptr with str to fix name shadowing warning
  * stress-vm: remove debugging setting if in statement
  * Makefile.machine: add check for existence of readelf
  * core-ftrace: remove PURE attribute on void return functions
  * stress-*: fix vm memory % size parameter handling
  * stress-vm: provide more information when mmap fails
  * stress-numa: make all of buf map to the current numa node
  * stress-numa: parse /proc/self/numa_maps to see if buf is on the
    expected node
  * core-shim: remove a space
  * core-*: add PURE attribute to pure functions
  * core-killpid: constify variable saved_errno
  * core-cpu: re-order CPUID strings, add some missing examples
  * stress-umount: remove extraneous empty line
  * stress-udp: add missing empty line
  * stress-tmpfs: make variable i const
  * stress-sparsematrix: move pointer next to inner scope
  * stress-sockpair: convert nested if statement into switch statement
  * stress-sigurg: inline helper function stress_send_error
  * stress-sigsegv: remove empty line
  * stress-sigrt: remove empty line
  * stress-set: put rlimit resource ids into a const rlimit_resources array
  * stress-session: make function argument err const
  * stress-rotate: make variables lo and hi const
  * stress-rmap: clean up switch statement, make i a register
  * stress-resched: make variables percent and scale const
  * stress-pci: reduce scope of pointer next
  * stress-opcode: make variable tmp const
  * stress-nice: make variable which const
  * stress-mutex: make variable max const
  * stress-mmap: make variable offset const
  * stress-mlock: make variable mlocked const
  * stress-*: add power10 builtin check support
  * stress-mknod: constify variable j
  * stress-memcpy: use the o1 and o2 variants in the "all" method
  * stress-membarrier: remove empty line
  * stress-led: reduce scope of pointer 'next'
  * stress-klog: make buflen const
  * stress-insertionsort: constify variable tmp
  * stress-hdd: constify variable v
  * stress-hash: explicitly use float values in chi computation
  * stress-dev: add naive simple /dev/autofs exerciser
  * stress-chattr: add mmap'd page modification to file, add metrics
  * stress-dev: exercise /dev/cpu/0/msr ioctl reading of TSC
  * stress-dev: add /dev/cpu/0/cpuid device stressor
  * core-*: don't include <sys/sysctl.h> on Linux targets
  * stress-cpu: constify some variables and add register to some variables
  * stress-clock: constify variable clkid
  * stress-chattr: constify variable bitmask
  * stress-cgroup: constify variable offset
  * stress-cacheline: constify variable 'now'
  * stress-mlockmany: remove stray const in start of source
  * stress-bitops: constify some variables
  * stress-apparmor: constify variables, fix p wrap overflow using the
    ternary operator
  * Manual: add in recursive hints to CPU stressor manual
  * Makefile: improve machine detection and disable -fmodulo-sched for
    S390x builds
  * stress-*: constify stressor_info_t structs
  * stress-aiol: constify offset
  * stress-af-alg: remove JMP debug message
  * stress-acl: constify variables, clean up some code alignment
  * stress-*: voidify returns from sig*() calls
  * stress-sem: add --sem-shared option to share 1 semaphore with all sem
    instances

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 6 Sep 2024 22:37:12 +0100

## stress-ng 0.18.07

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "canny kernel crusher"
-#
-VERSION=0.18.04
+# Codename "portable process pressurizer"
+#
+VERSION=0.18.07
 
 #
 # Determine supported toolchains
@@ -44,8 +44,20 @@
 ifneq ($(shell $(CC) -v 2>&1 | grep oneAPI | grep Compiler),)
 COMPILER = icx
 endif
+ifeq ($(shell echo | $(CC) -E -Wp,-v - 2>&1 | grep musl  > /dev/null && echo 1),1)
+COMPILER = musl-gcc
+override CFLAGS += -DHAVE_CC_MUSL_GCC
+endif
 ifneq ($(shell $(CC) -v 2>&1 | grep scan-build),)
 COMPILER = scan-build
+endif
+
+#
+# check for ALT linux gcc, define HAVE_ALT_LINUX_GCC, see core-shim.c
+# https://github.com/ColinIanKing/stress-ng/issues/452
+#
+ifneq ($(shell $(CC) -v 2>&1 | grep Target | grep "alt-linux"),)
+override CFLAGS += -DHAVE_ALT_LINUX_GCC
 endif
 
 KERNEL=$(shell uname -s)
@@ -87,25 +99,36 @@
 # Pedantic flags
 #
 ifeq ($(PEDANTIC),1)
-
+ifeq ($(COMPILER),icc)
+PEDANTIC_FLAGS := \
+	-Wcast-qual -Wfloat-equal -Wmissing-declarations \
+	-Wno-long-long -Wshadow -Wno-missing-field-initializers \
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar \
+	-DHAVE_PEDANTIC
+else
 PEDANTIC_FLAGS := \
 	-Wcast-qual -Wfloat-equal -Wmissing-declarations \
 	-Wmissing-format-attribute -Wno-long-long -Wpacked \
 	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
 	-Wno-missing-braces -Wno-sign-compare -Wno-multichar \
 	-DHAVE_PEDANTIC
+endif
 override CFLAGS += $(foreach flag,$(PEDANTIC_FLAGS),$(cc_supports_flag))
 endif
 
 #
 # Test for hardening flags and apply them if applicable
 #
-MACHINE = $(shell make -f Makefile.machine)
+MACHINE := $(shell make -f Makefile.machine)
 ifneq ($(PRESERVE_CFLAGS),1)
-ifneq ($(MACHINE),$(filter $(MACHINE),alpha parisc ia64))
-flag = -Wformat -fstack-protector-strong \
-	-U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 \
-	-Werror=format-security
+ifneq ($(MACHINE),$(filter $(MACHINE),alpha hppa ia64))
+flag = -Wformat -fstack-protector-strong -Werror=format-security
+#
+# add -D_FORTIFY_SOURCE=2 if _FORTIFY_SOURCE is not already defined
+#
+ifeq ($(shell echo _FORTIFY_SOURCE | $(CC) $(CFLAGS) -E -xc - | tail -1),_FORTIFY_SOURCE)
+flag += -D_FORTIFY_SOURCE=2
+endif
 override CFLAGS += $(cc_supports_flag)
 endif
 endif
@@ -115,7 +138,7 @@
 #
 ifneq ($(filter-out clang icc scan-build,$(COMPILER)),)
 override CFLAGS += $(foreach flag,-fipa-pta -fivopts,$(cc_supports_flag))
-ifneq ($(MACHINE),$(filter $(MACHINE),ibms390))
+ifneq ($(MACHINE),$(filter $(MACHINE),ibms390 s390))
 override CFLAGS += $(foreach flag,-fmodulo-sched,$(cc_supports_flag))
 endif
 endif
@@ -200,6 +223,14 @@
 override LDFLAGS += -static -z muldefs
 override CFLAGS += -DBUILD_STATIC
 endif
+
+#
+# Finalize flags
+#
+
+override CFLAGS := $(CFLAGS)
+override LDFLAGS := $(LDFLAGS)
+override VNNI_CFLAGS := $(VNNI_CFLAGS)
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man1
@@ -333,6 +364,7 @@
 	stress-copy-file.c \
 	stress-cpu.c \
 	stress-cpu-online.c \
+	stress-cpu-sched.c \
 	stress-crypt.c \
 	stress-cyclic.c \
 	stress-daemon.c \
@@ -341,6 +373,7 @@
 	stress-dentry.c \
 	stress-dev.c \
 	stress-dev-shm.c \
+	stress-dfp.c \
 	stress-dir.c \
 	stress-dirdeep.c \
 	stress-dirmany.c \
@@ -369,6 +402,7 @@
 	stress-fifo.c \
 	stress-file-ioctl.c \
 	stress-filename.c \
+	stress-flipflop.c \
 	stress-flock.c \
 	stress-flushcache.c \
 	stress-fma.c \
@@ -395,6 +429,7 @@
 	stress-heapsort.c \
 	stress-hrtimers.c \
 	stress-hsearch.c \
+	stress-hyperbolic.c \
 	stress-icache.c \
 	stress-icmp-flood.c \
 	stress-idle-page.c \
@@ -504,8 +539,10 @@
 	stress-prio-inv.c \
 	stress-priv-instr.c \
 	stress-procfs.c \
+	stress-pseek.c \
 	stress-pthread.c \
 	stress-ptrace.c \
+	stress-ptr-chase.c \
 	stress-pty.c \
 	stress-quota.c \
 	stress-qsort.c \
@@ -525,56 +562,3 @@
 	stress-rename.c \
 	stress-resched.c \
 	stress-resources.c \
-	stress-revio.c \
-	stress-ring-pipe.c \
-	stress-rlimit.c \
-	stress-rmap.c \
-	stress-rotate.c \
-	stress-rseq.c \
-	stress-rtc.c \
-	stress-sctp.c \
-	stress-schedmix.c \
-	stress-schedpolicy.c \
-	stress-seal.c \
-	stress-seccomp.c \
-	stress-secretmem.c \
-	stress-seek.c \
-	stress-sem.c \
-	stress-sem-sysv.c \
-	stress-sendfile.c \
-	stress-session.c \
-	stress-set.c \
-	stress-shellsort.c \
-	stress-shm.c \
-	stress-shm-sysv.c \
-	stress-sigabrt.c \
-	stress-sigbus.c \
-	stress-sigchld.c \
-	stress-sigfd.c \
-	stress-sigfpe.c \
-	stress-sigill.c \
-	stress-sigio.c \
-	stress-signal.c \
-	stress-signest.c \
-	stress-sigpending.c \
-	stress-sigpipe.c \
-	stress-sigq.c \
-	stress-sigrt.c \
-	stress-sigsegv.c \
-	stress-sigsuspend.c \
-	stress-sigtrap.c \
-	stress-sigurg.c \
-	stress-sigvtalrm.c \
-	stress-sigxcpu.c \
-	stress-sigxfsz.c \
-	stress-skiplist.c \
-	stress-sleep.c \
-	stress-smi.c \
-	stress-sock.c \
-	stress-sockabuse.c \
-	stress-sockdiag.c \
-	stress-sockfd.c \
-	stress-sockpair.c \
-	stress-sockmany.c \
-	stress-softlockup.c \
-	stress-spawn.c \
